<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'manufacturer',

    /*
     * Modules.
     */
    'modules'   => ['car_manufacturer', 'car_model'],

    'car_manufacturer'       => [
        'model' => [
            'model'                 => \Litecms\Manufacturer\Models\CarManufacturer::class,
            'table'                 => 'car_manufacturers',
            'presenter'             => \Litecms\Manufacturer\Repositories\Presenter\CarManufacturerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'description',  'image',  'count',  'slug',  'status',  'deleted_at',  'updated_at',  'created_at'],
            'translatables'         => [],
            'upload_folder'         => 'manufacturer/car_manufacturer',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Manufacturer',
            'module'    => 'CarManufacturer',
        ],

    ],
    'car_model'       => [
        'model' => [
            'model'                 => \Litecms\Manufacturer\Models\CarModel::class,
            'table'                 => 'car_models',
            'presenter'             => \Litecms\Manufacturer\Repositories\Presenter\CarModelPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'manufacture_id',  'name',  'description',  'image',  'slug',  'status',  'deleted_at',  'updated_at',  'created_at'],
            'translatables'         => [],
            'upload_folder'         => 'manufacturer/car_model',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Manufacturer',
            'module'    => 'CarModel',
        ],

    ],
];
