<?php

namespace Litecms\Manufacturer\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind CarManufacturer policy
        'Litecms\Manufacturer\Models\CarManufacturer' => \Litecms\Manufacturer\Policies\CarManufacturerPolicy::class,// Bind CarModel policy
        'Litecms\Manufacturer\Models\CarModel' => \Litecms\Manufacturer\Policies\CarModelPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
