<?php

namespace Litecms\Manufacturer\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CarManufacturerTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Manufacturer\Models\CarManufacturer $car_manufacturer)
    {
        return [
            'id'                => $car_manufacturer->getRouteKey(),
            'key'               => [
                'public'    => $car_manufacturer->getPublicKey(),
                'route'     => $car_manufacturer->getRouteKey(),
            ], 
            'id'                => $car_manufacturer->id,
            'name'              => $car_manufacturer->name,
            'description'       => $car_manufacturer->description,
            'image'             => $car_manufacturer->image,
            'count'             => $car_manufacturer->count,
            'slug'              => $car_manufacturer->slug,
            'status'            => $car_manufacturer->status,
            'deleted_at'        => $car_manufacturer->deleted_at,
            'updated_at'        => $car_manufacturer->updated_at,
            'created_at'        => $car_manufacturer->created_at,
            'url'               => [
                'public'    => trans_url('manufacturer/'.$car_manufacturer->getPublicKey()),
                'user'      => guard_url('manufacturer/car_manufacturer/'.$car_manufacturer->getRouteKey()),
            ], 
            'status'            => trans('app.'.$car_manufacturer->status),
            'created_at'        => format_date($car_manufacturer->created_at),
            'updated_at'        => format_date($car_manufacturer->updated_at),
        ];
    }
}