<?php

namespace Litecms\Manufacturer\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CarModelTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Manufacturer\Models\CarModel $car_model)
    {
        return [
            'id'                => $car_model->getRouteKey(),
            'key'               => [
                'public'    => $car_model->getPublicKey(),
                'route'     => $car_model->getRouteKey(),
            ], 
            'id'                => $car_model->id,
            'manufacture_id'    => $car_model->manufacture_id,
            'name'              => $car_model->name,
            'description'       => $car_model->description,
            'image'             => $car_model->image,
            'slug'              => $car_model->slug,
            'status'            => $car_model->status,
            'deleted_at'        => $car_model->deleted_at,
            'updated_at'        => $car_model->updated_at,
            'created_at'        => $car_model->created_at,
            'url'               => [
                'public'    => trans_url('manufacturer/'.$car_model->getPublicKey()),
                'user'      => guard_url('manufacturer/car_model/'.$car_model->getRouteKey()),
            ], 
            'status'            => trans('app.'.$car_model->status),
            'created_at'        => format_date($car_model->created_at),
            'updated_at'        => format_date($car_model->updated_at),
        ];
    }
}